System.Web 2.0.0.0 System.Web.UI.Control System.Web.UI.IHierarchicalDataSource System.ComponentModel.Bindable(false) System.Web.UI.ControlBuilder(typeof(System.Web.UI.DataSourceControlBuilder)) System.ComponentModel.Designer("System.Web.UI.Design.HierarchicalDataSourceDesigner, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.ComponentModel.Design.IDesigner") System.Web.UI.NonVisualControl

ASP.NET supports a controls data-binding architecture that enables Web server controls to bind to data and present it in a consistent fashion. Web server controls that bind to data are called data-bound controls, and the classes that facilitate binding are called data source controls. Data source controls can represent any data source: a file, a stream, a relational database, a business object, and so on. Data source controls present data in a consistent way to data-bound controls, regardless of the source or format of the underlying data.

Data source controls that represent hierarchical data derive from the class, while data source controls that represent lists or tables of data derive from the class. The class is the base implementation of the interface, which defines a single method to retrieve hierarchical data source view objects associated with the data source control, .

You can think of a data source control as the combination of the object and its associated views on the underlying data, called data source view objects. While data source controls that represent tabular data are typically associated with only one named view, the class supports a data source view for each level of hierarchical data that the data source control represents. The level of hierarchical data is identified by a unique hierarchical path, passed to the method in the parameter. Each object defines the capabilities of a data source control for the hierarchical level represented, and performs operations such as insert, update, delete, and sort.

Web server controls that derive from the class, such as , use hierarchical data source controls to bind to hierarchical data.

Data source controls are implemented as controls to enable declarative persistence and to optionally permit participation in state management. Data source controls have no visual rendering, and therefore do not support themes.

Provides a base class for data source controls that represent hierarchical data.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Web.UI.ControlCollection

  The method is overridden by the class to prevent child controls from being added.

  Creates a new object to hold the child controls (both literal and server) of the server control.

  An that prevents any child controls from being added.

  2.0.0.0
- Property
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.ComponentModel.DefaultValue(false)
  System.ComponentModel.Browsable(false)
  System.Boolean To be added.

  Because the class has no visual rendering, it does not support themes.

  Gets a value indicating whether this control supports themes.

  2.0.0.0
- Method
  System.Web.UI.Control `` To be added.

  Searches the current naming container for a server control with the specified parameter.

  The specified control, or null if the specified control does not exist.

  The identifier for the control to be found. 2.0.0.0 System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
- Method
  System.Void

  Because the class has no visual rendering, calling the method on it throws a exception.

  Sets input focus to the control.

  2.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
- Method
  System.Web.UI.HierarchicalDataSourceView ``

  This method provides the default implementation for the class, which simply returns null. Classes that derive from the class override this method and provide an implementation to return a strongly typed view that derives from .

  Gets the view helper object for the interface for the specified path.

  A that represents a single view of the data at the hierarchical level identified by the parameter.

  The hierarchical path of the view to retrieve. 2.0.0.0
- Method
  System.Boolean To be added.

  Determines if the server control contains any child controls.

  true if the control contains other controls; otherwise, false.

  2.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
- Method
  System.Void ``

  The method notifies a data-bound control that the underlying data source or the data cached in memory has changed, that the control should rebind, and that any necessary work should be performed.

  Raising an event invokes the event handler through a delegate. For more information, see Raising an Event.

  The method also allows derived classes to handle the event without attaching a delegate. This is the preferred technique for handling the event in a derived class.

  Raises the event.

  An that contains event data. 2.0.0.0
- Method
  System.Void `` To be added. To be added. The HTML text writer. 2.0.0.0 System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
- Property
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.ComponentModel.DefaultValue("")
  System.ComponentModel.Browsable(false)
  System.String To be added.

  Because the has no visual rendering, it does not support themes or skins.

  Gets or sets the skin to apply to the control.

  2.0.0.0
- Method
  2.0.0.0
  System.Web.UI.HierarchicalDataSourceView ``

  The method is called by clients when a is manipulated as an interface. It delegates to the method, which derived classes override to return strongly typed objects.

  Gets the view helper object for the interface for the specified path.

  Returns a that represents a single view of the data at the hierarchical level identified by the parameter.

  The hierarchical path of the view to retrieve.
- Property
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.ComponentModel.DefaultValue(false)
  System.ComponentModel.Browsable(false)
  System.Boolean To be added.

  Because the class has no visual rendering, always returns false.

  Gets or sets a value indicating whether the control is visually displayed.

  2.0.0.0